I think I spoke to soon...

Since downgrading to 4.2.18 I'm getting the "expected status header not present" error as described in this thread from 2017 in some of my feeds.

Unbelievably frustrating. To fix a couple of my favorite feeds I'm going to have to upgrade back to the version that makes Android Auto unusable.

Please, please, please, KimW, is there any update on a new release?